import { PaginationInfoBuilderParams as CorePaginationInfoBuilderParams, DataUnit, Filter, LoadDataRequest, PaginationInfo, Record, Sort } from '@sankhyalabs/core';
export declare function applyFilter(records: Array<Record>, dataUnit: DataUnit, filters: Array<Filter>): Array<Record>;
export declare function buildLoadDataResponse(recordsIn: Array<Record>, dataUnit: DataUnit, request: LoadDataRequest): Promise<{
  records: Record[];
  paginationInfo: PaginationInfo;
}>;
export declare function applySorting(records: Array<Record>, dataUnit: DataUnit, sorting: Array<Sort>): Array<Record>;
export declare function getPagesByRecords(records: Record[], offset?: number, limit?: number): Record[];
export declare function buildPaginationInfo({ recordsLength, offset, recordsPerPage, }: PaginationInfoBuilderParams): PaginationInfo | undefined;
export interface PaginationInfoBuilderParams extends CorePaginationInfoBuilderParams {
}
